Bug 127266 - Sandisk Cruzer Mini USB memory should be recognized
Sandisk Cruzer Mini USB memory should be recognized
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-07-05 10:37 EDT by David Juran
Modified: 2014-03-16 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 16:27:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2004-07-05 10:37:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
The Sandisc Cruzer Mini USB memory should be recognized by updfstab

adding the entry 


device diskonkey {
    partition 1
    match   hd "Sandisk Cruzer Mini"
}

to /etc/updfstab.conf.default would remedy the problem

Version-Release number of selected component (if applicable):
kudzu-1.1.22.2-1

How reproducible:
Always

Steps to Reproduce:
1. insert the USB memory
2. note that it does noty show up in /etc/fstab
3.
    

Additional info:
Comment 1 Michael J. Carter 2004-07-10 10:52:10 EDT
On Fedora Core 2, this device is just "Cruzer Mini":

[carter@localhost carter]$ cat /sys/bus/usb/devices/1-2/product
Cruzer Mini

Also, what's the difference between 'device flash' and 'device
diskonkey' ???  The LEXAR device listed under 'device diskonkey'
doesn't appear to be different than some of the devices listed under
'device flash'.
Comment 2 Bill Nottingham 2004-07-12 16:47:57 EDT
Historical reasons, almost certainly. (added at different times.)
Comment 3 Suzanne Hillman 2004-07-13 17:03:27 EDT
Internal RFE bug #127786 entered.
Comment 5 David Juran 2004-09-03 09:13:03 EDT
And here's another one.
The Cruzer mini model SDCZ2-512 will be matched by the line 

 match   hd "Generic STORAGE DEVICE"
 in /etc/updfstab.conf
Comment 6 Bill Nottingham 2004-09-03 10:52:11 EDT
Unfortunately, 'Generic Storage Device' isn't really a specific enough
string; that could lead to lots of false matches with other devices.
Comment 7 David Juran 2004-09-03 16:08:50 EDT
Plugging the device in, I get the following text in /var/log/messages:

Sep  3 14:53:23 david kernel: hub.c: new USB device 00:1d.7-8,
assigned address 2
Sep  3 14:53:23 david kernel: usb.c: USB device 2 (vend/prod
0x781/0x7105) is not claimed by any active driver.
Sep  3 14:53:26 david /etc/hotplug/usb.agent: Setup usb-storage for
USB product 781/7105/2033
Sep  3 14:53:26 david kernel: Initializing USB Mass Storage driver...
Sep  3 14:53:26 david kernel: usb.c: registered new driver usb-storage
Sep  3 14:53:26 david kernel: scsi2 : SCSI emulation for USB Mass
Storage devices
Sep  3 14:53:26 david kernel:   Vendor: Generic   Model: STORAGE
DEVICE    Rev: 2033
Sep  3 14:53:26 david kernel:   Type:   Direct-Access                
     ANSI SCSI revision: 02
Sep  3 14:53:26 david kernel: Attached scsi removable disk sdb at
scsi2, channel 0, id 0, lun 0
Sep  3 14:53:26 david kernel: SCSI device sdb: 1024000 512-byte hdwr
sectors (524 MB)
Sep  3 14:53:26 david kernel: sdb: Write Protect is off
Sep  3 14:53:26 david kernel:  sdb: sdb1
Sep  3 14:53:26 david kernel: USB Mass Storage support registered.


Is there any other way of identifying the device?
Comment 8 Bill Nottingham 2004-09-03 17:55:07 EDT
Not really as of now.
Comment 9 David Anderson 2004-10-18 04:32:42 EDT
My Mac-using friend has a 256Mb Sandisk Cruzer Mini... he wasn't too 
impressed that I had to open a terminal and add an entry 
to /etc/updfstab.conf.default in order to get it automatically 
recognized. 
The entry I used was to add this to "device flash": 
 
   match   hd "Cruzer Mini" 
 
Any chance this will be fixed in FC3? It's a trivial fix. 
 
Comment 10 Bill Nottingham 2004-10-18 12:00:40 EDT
FC3 doesn't use updfstab, so, no.
Comment 11 David Anderson 2004-10-20 05:56:34 EDT
Oh, OK. Sorry for my ignorance! 
 
Also, when I insert it a second time, it doesn't get recognized (this 
is with the entry in /etc/updfstab.conf.default), but I guess if the 
mechanism's changed in FC3 then this isn't useful information any 
more. 
Comment 12 Bill Nottingham 2005-02-07 18:34:36 EST
Cruzer Mini is in kudzu-1.1.22.10-1 and later, which should be in U5.
Comment 13 David Juran 2005-02-10 04:43:04 EST
Actually it's matched by 'SanDisk' in kudzu-1.1.22.9-1
 which is availbale in U4 (-:

Note You need to log in before you can comment on or make changes to this bug.